Package: org.apache.groovy.contracts.classgen.asm

## [Java] Class ContractClosureWriter

- org.apache.groovy.contracts.classgen.asm.ContractClosureWriter

-     public class ContractClosureWriter
      extends Object

  Replaces annotation closures with closure implementation classes.

  Attention: large parts of this class have been backported from Groovy 1.8 and customized for usage in groovy-contracts.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassNode` | `createClosureClass(ClassNode classNode, MethodNode methodNode, ClosureExpression expression, boolean addOldVariable, boolean addResultVariable, int mods)`
    `` | `public void` | `visitVariableExpression(VariableExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public ClassNode createClosureClass(ClassNode classNode, MethodNode methodNode, ClosureExpression expression, boolean addOldVariable, boolean addResultVariable, int mods)

    - #### @Override
      public void visitVariableExpression(VariableExpression expression)